Bug 240505 - bfd.h is missing
bfd.h is missing
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: binutils (Show other bugs)
5.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-17 19:20 EDT by Greg Couch
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-19 04:03:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Couch 2007-05-17 19:20:26 EDT
Description of problem:

/usr/include/bfd.h is missing from binutils package and is missing althogether.

Version-Release number of selected component (if applicable):

binutils-2.15.92.0.2-21

How reproducible:

"locate bfd.h" returns nothing.

Steps to Reproduce:

ls -l /usr/include/bfd.h
  
Actual results:

ls: /usr/include/bfd.h: No such file or directory

Expected results:

something like:

-rw-r--r--  1 root root 153146 May 24  2006 /usr/include/bfd.h

Additional info:

bfd.h was present in the binutils package in Red Hat Enterprise Linux WS release
4 (Nahant Update 4), binutils-2.15.92.0.2-21.
Comment 1 Jakub Jelinek 2007-05-19 04:03:52 EDT
You need to install binutils-devel package.
rpm -qplv binutils-devel-2.17.50.0.6-2.el5.x86_64.rpm
-rw-r--r--    1 root    root            12476 Nov  9  2006
/usr/include/ansidecl.h
-rw-r--r--    1 root    root           177269 Oct 20  2006 /usr/include/bfd.h
-rw-r--r--    1 root    root            28042 Nov  9  2006 /usr/include/bfdlink.h
-rw-r--r--    1 root    root            15435 Nov  9  2006 /usr/include/dis-asm.h
-rw-r--r--    1 root    root            23291 Nov  9  2006
/usr/include/libiberty.h
-rw-r--r--    1 root    root             1902 Nov  9  2006 /usr/include/symcat.h
-rw-r--r--    1 root    root          1064956 Nov  9  2006 /usr/lib64/libbfd.a
-rw-r--r--    1 root    root           300206 Nov  9  2006 /usr/lib64/libiberty.a
-rw-r--r--    1 root    root           264398 Nov  9  2006
/usr/lib64/libopcodes.a
-rw-r--r--    1 root    root            99984 Nov  9  2006
/usr/share/info/bfd.info.gz


Note You need to log in before you can comment on or make changes to this bug.